## passage 4%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PNGRBT=-define png:exclude-chunk=time
export PNGRBTD=+set date:create +set date:modify $(PNGRBT)

%:
	dh $@ --parallel

override_dh_auto_configure:
	chmod u+x gamma256/gameSource/configure
	cd gamma256/gameSource && platformSelection=1 ./configure

override_dh_auto_build:
	mkdir -p 256x256 64x64 32x32
	convert -scale 256x256 gamma256/gameSource/iPhone/LargeIcon.png $(PNGRBTD) 256x256/passage.png
	convert -background None -gravity center -extent 64x64 gamma256/gameSource/iPhone/Icon.png $(PNGRBTD) 64x64/passage.png
	convert -type Grayscale -negate gamma256/build/macOSX/iconMask.png $(PNGRBTD) mask.png
	composite -compose CopyOpacity mask.png gamma256/build/macOSX/iconColor.png $(PNGRBT) passage.png
	convert -scale 32x32 passage.png $(PNGRBTD) 32x32/passage.png 
	convert 32x32/passage.png 32x32/passage.xpm
	sed -i -e 's/PLATFORM_COMPILE_FLAGS = */PLATFORM_COMPILE_FLAGS = $$(CFLAGS) $$(CPPFLAGS) /' gamma256/gameSource/Makefile
	sed -i -e 's/PLATFORM_LINK_FLAGS = */PLATFORM_LINK_FLAGS = $$(LDFLAGS) /' gamma256/gameSource/Makefile
	$(MAKE) -C gamma256/gameSource LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/passage\\\" -DDATADIR=\\\"/usr/share/games/passage/\\\""

override_dh_auto_clean:
	find gamma256 -name "*.o" -delete
	find minorGems -name "*.o" -delete
	rm -f gamma256/gameSource/Passage
	rm -f gamma256/gameSource/Makefile
	rm -f gamma256/gameSource/Makefile.minorGems_dependencies
	rm -rf 256x256 64x64 32x32 passage.png mask.png

override_dh_installchangelogs:
	dh_installchangelogs gamma256/documentation/changeLog.txt

V=4
P=Passage
p=passage
sfp=hcsoftware/Passage

get-orig-source:
	wget -c http://downloads.sourceforge.net/project/$(sfp)/v$(V)/$(P)_$(V)_UnixSource.tar.gz
	tar xf $(P)_v$(V)_UnixSource.tar.gz
	# Embedded code copies, unused
	rm -rf $(P)_v$(V)_UnixSource/minorGems/graphics/converters/lodepng.*
	# Pre-built Windows libraries, unused
	rm $(P)_v$(V)_UnixSource/gamma256/build/win32/*.dll
	# non-free, unused
	rm -r $(P)_v$(V)_UnixSource/minorGems/util/development/fortify
	# Useless iPhone reports
	rm $(P)_v$(V)_UnixSource/gamma256/gameSource/iPhone/reports/*.txt
	mv $(P)_$(V)_UnixSource $(p)-$(V)+dfsg1.orig
	tar zcf ../$(p)_$(V)+dfsg1.orig.tar.gz $(p)-$(V)+dfsg1.orig
	rm -r $(P)_$(V)_UnixSource.tar.gz $(p)-$(V)+dfsg1.orig
