=== debian/changelog ===
passage (4+dfsg1-4) unstable; urgency=medium

  * Team Upload
  * Import on Salsa
  * Switch to DebHelper 13
  * Fix FTCBFS (Closes: #923269)
  * Set Rules-Requires-Root: no
  * Remove old Debian Menu file

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 17:41:11 +0200

passage (4+dfsg1-3) unstable; urgency=medium

  * Fix build reproducibility issues due to use of imagemagick
    (Closes: #779136)

 -- Paul Wise <pabs@debian.org>  Tue, 01 Aug 2017 10:43:37 -0400

passage (4+dfsg1-2) unstable; urgency=low

  * Wrap and sort various files
  * Switch to debhelper compat 9
  * Fix and use canonical Vcs-* URLs
  * Fix dpkg-buildflags use, add more hardening
  * Bump Standards-Version
  * Add some keywords to the freedesktop menu file
  * Drop duplicate 32x32 PNG icon

 -- Paul Wise <pabs@debian.org>  Sun, 07 Jul 2013 13:14:10 +0800

passage (4+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Builds with binutils-gold (Closes: #556052)
  * Switch to dpkg-source v3 format
  * Refresh, clean patches
    - Drop amd64_fix.patch, applied upstream
  * Switch to debhelper dh rules.tiny style
  * Keep upstream capitalization, add symlinks
  * Improve the menu files
  * Change the patch to use DEP-3 headers
  * Drop README.Debian, it is not useful to users
  * Bump Standards-Version, no changes needed
  * Use the various icons to build different sized menu icons

 -- Paul Wise <pabs@debian.org>  Thu, 10 Feb 2011 16:09:20 +0800

passage (3+dfsg1-3) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix FTBFS with new “3.0 (quilt)” source package format by using a
    patch level of 1 instead of 0 in the patches and by adjusting the
    series file appropriately (i.e. by deleting the “-p0” option),
    thanks to Raphaël Hertzog for the notice (Closes: #485262).

  [ Paul Wise ]
  * Update Standards-Version, changes needed are:
    - include quilt.make to create a patch target
    - use filter instead of findstring on DEB_BUILD_OPTIONS
    - support parallel=n in DEB_BUILD_OPTIONS
    - add a README.source file pointing to the quilt one
  * Add proper version mangling to the watch file
  * Bump debhelper compat level to 7
  * Add forwarded locations to patch, menu, manual page

 -- Paul Wise <pabs@debian.org>  Sun, 08 Mar 2009 14:47:54 +0900

passage (3+dfsg1-2) unstable; urgency=low

  * Add patch from upstream CVS to fix amd64 brokenness (Closes: #475334)

 -- Paul Wise <pabs@debian.org>  Sun, 13 Apr 2008 12:43:13 +0800

passage (3+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #471585)

 -- Paul Wise <pabs@debian.org>  Fri, 28 Mar 2008 18:40:21 +0900
