=== debian/control ===
Source: passage
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libsdl1.2-dev
Rules-Requires-Root: no
Standards-Version: 3.9.4
Homepage: http://hcsoftware.sourceforge.net/passage/
Vcs-Git: https://salsa.debian.org/games-team/passage.git
Vcs-Browser: https://salsa.debian.org/games-team/passage

Package: passage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: game about the passage through life
 Passage is a short, autobiographical pixelated art game by
 Jason Rohrer. It can be explored in approximately 5 minutes.
 Passage is meant to be memento mori game. If you enjoy the
 game, you may want to try the followup, "Gravitation". If
 you do not, please read the game creators statement on the
 website and the experiences of other people linked from the
 website.
