=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PNGRBTD=+set date:create +set date:modify $(PNGRBT)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	chmod u+x gamma256/gameSource/configure
@@ -17,11 +17,11 @@
 	convert -background None -gravity center -extent 64x64 gamma256/gameSource/iPhone/Icon.png $(PNGRBTD) 64x64/passage.png
 	convert -type Grayscale -negate gamma256/build/macOSX/iconMask.png $(PNGRBTD) mask.png
 	composite -compose CopyOpacity mask.png gamma256/build/macOSX/iconColor.png $(PNGRBT) passage.png
-	convert -scale 32x32 passage.png $(PNGRBTD) 32x32/passage.png 
+	convert -scale 32x32 passage.png $(PNGRBTD) 32x32/passage.png
 	convert 32x32/passage.png 32x32/passage.xpm
 	sed -i -e 's/PLATFORM_COMPILE_FLAGS = */PLATFORM_COMPILE_FLAGS = $$(CFLAGS) $$(CPPFLAGS) /' gamma256/gameSource/Makefile
 	sed -i -e 's/PLATFORM_LINK_FLAGS = */PLATFORM_LINK_FLAGS = $$(LDFLAGS) /' gamma256/gameSource/Makefile
-	$(MAKE) -C gamma256/gameSource LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/passage\\\" -DDATADIR=\\\"/usr/share/games/passage/\\\""
+	dh_auto_build --buildsystem=makefile --sourcedirectory=gamma256/gameSource -- LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/passage\\\" -DDATADIR=\\\"/usr/share/games/passage/\\\""
 
 override_dh_auto_clean:
 	find gamma256 -name "*.o" -delete
